"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOpeningParenOfParams = void 0;
const utils_1 = require("@typescript-eslint/utils");
// https://github.com/eslint/eslint/blob/03a69dbe86d5b5768a310105416ae726822e3c1c/lib/rules/utils/ast-utils.js#L382-L392
/**
 * Gets the `(` token of the given function node.
 */
function getOpeningParenOfParams(node, sourceCode) {
    return utils_1.ESLintUtils.nullThrows(node.id
        ? sourceCode.getTokenAfter(node.id, utils_1.ASTUtils.isOpeningParenToken)
        : sourceCode.getFirstToken(node, utils_1.ASTUtils.isOpeningParenToken), utils_1.ESLintUtils.NullThrowsReasons.MissingToken('(', node.type));
}
exports.getOpeningParenOfParams = getOpeningParenOfParams;
//# sourceMappingURL=getOpeningParenOfParams.js.map